Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::texture_node Class Reference

Abstract base class for texture nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::texture_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~texture_node ()=0 throw ()
| Destroy.
void | render_texture (viewer &v)
| Insert a texture into a viewer.
const openvrml::image & | image () const throw ()
| The image.
bool | repeat_s () const throw ()
| Get the flag indicating whether the texture should repeat in the S direction.
bool | repeat_t () const throw ()
| Get the flag indicating whether the texture should repeat in the T direction.

## Protected Member Functions

| texture_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual texture_node * | to_texture () throw ()
| Cast to a `texture_node`.
virtual void | do_render_texture (viewer &v)
| `render_texture` implementation.
virtual const openvrml::image & | do_image () const =0 throw ()
| The image.
virtual bool | do_repeat_s () const =0 throw ()
| Get the flag indicating whether the texture should repeat in the S direction.
virtual bool | do_repeat_t () const =0 throw ()
| Get the flag indicating whether the texture should repeat in the T direction.

## Detailed Description

Abstract base class for texture nodes.

## Constructor & Destructor Documentation

openvrml::texture_node::~texture_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::texture_node::texture_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

void openvrml::texture_node::render_texture | ( | viewer & | v | ) |

Insert a texture into a viewer.

Parameters:

  `[in,out]` | v | viewer.

const openvrml::image & openvrml::texture_node::image | ( |  | ) | const throw ()

The image.

This function delegates to `do_image`.

Returns:
  the image.

bool openvrml::texture_node::repeat_s | ( |  | ) | const throw ()

Get the flag indicating whether the texture should repeat in the S direction.

This function delegates to `do_repeat_s`.

Returns:
  `true` if the image should repeat in the S direction, `false` otherwise.

bool openvrml::texture_node::repeat_t | ( |  | ) | const throw ()

Get the flag indicating whether the texture should repeat in the T direction.

This function delegates to `do_repeat_t`.

Returns:
  `true` if the image should repeat in the T direction, `false` otherwise.

openvrml::texture_node * openvrml::texture_node::to_texture | ( |  | ) | throw ()`[private, virtual]`

Cast to a `texture_node`.

Returns:
  a pointer to this `texture_node`.

Reimplemented from openvrml::node.

void openvrml::texture_node::do_render_texture | ( | viewer & | v | ) | `[private, virtual]`

`render_texture` implementation.

Parameters:

  `[in,out]` | v | viewer.

const openvrml::image & openvrml::texture_node::do_image | ( |  | ) | const throw ()`[private, pure virtual]`

The image.

Returns:
  the image.

bool openvrml::texture_node::do_repeat_s | ( |  | ) | const throw ()`[private, pure virtual]`

Get the flag indicating whether the texture should repeat in the S direction.

Returns:
  `true` if the image should repeat in the S direction, `false` otherwise.

bool openvrml::texture_node::do_repeat_t | ( |  | ) | const throw ()`[private, pure virtual]`

Get the flag indicating whether the texture should repeat in the T direction.

Returns:
  `true` if the image should repeat in the T direction, `false` otherwise.